/* family.c
 * last revised at 15, October, 1995
 *
 * Copyright (C) 1994-5, All rights reserved.
 * written by Gyudong Kim(chilly@iclab.snu.ac.kr)
 *
 */
#include "findhier.h"

extern char *top;
extern struct names *nametop;
extern int mode;
extern FILE *OUTPUT;
extern FORMAT Format;
extern char EXT[5];

void included()
{
	struct names *tmpn;
	struct branch *tmpb;
	int exist;

	switch (mode) {

		case 'i' :
			exist = 1;
			break;
		case 'x' :
			exist = 0;
			break;
		default :
			return;
	}
	tmpb = find_top(top);

	for(tmpn=nametop;tmpn!=NULL;tmpn=tmpn->next) {
		if (find_parent(tmpb,tmpn->name)!=exist) continue;
		if (isvacant(tmpn->name)) continue;

		switch (Format) {

		case TeX:
		case MAGIC:
		case PCSTR:
			(void)fprintf(OUTPUT,"%s%s\n",tmpn->name,EXT);
			break;
		case CIF:
		case GDSII:
		case VALID:
			(void)fprintf(OUTPUT,"%s\n",tmpn->name);
			break;
		}
	}
}
/* family.c */
