/* fnames.c
 * last revised at 18, August, 1995
 *
 * Copyright (C) 1994-5, All rights reserved.
 * written by Gyudong Kim(chilly@iclab.snu.ac.kr)
 *
 */
#include <stdio.h>
#ifndef DIRDEL
#ifdef _UNIX_
#define DIRDEL '/'
#else
#define DIRDEL '\\'
#endif _UNIX_
#endif DIRDEL

int strlen();

char *basename(argv)
char *argv;
{
	register int i;

	for(i=strlen(argv)-1;i>=0;i--) {
		if (argv[i]==DIRDEL) return((char *)(argv+i+1));
	}
	return(argv);
}

char *dirname(name)
char *name;
{
	register char *tmp;

	tmp=name+strlen(name);
	for(;tmp!=name;tmp--) if (*tmp==DIRDEL) {
		*tmp=0;
		return(name);
	}
	return((char *)NULL);
}
/* fnames.c */
