/* main.c
 * last revised at 15, October, 1995
 *
 * find the hierarchy of many formats.
 *	make hierarchy graph
 *	warn recursion(loop formation)
 *	generate reverse hierarchy graph for hierarchical update
 *	& do something more
 *
 * Copyright (C) 1994-5, All rights reserved.
 * written by Gyudong Kim(chilly@iclab.snu.ac.kr)
 *
 */
#include "findhier.h"

int WARN = 1;
extern int interactive;
extern FILE *INPUT,*OUTPUT;

int main(argc,argv)
int argc;
char *argv[];
{
	INPUT = stdin;OUTPUT = stdout;
	mygetopt(argc,argv);
	myenviron();
	name_list();
	make_tree();

	if (interactive) menu();
	else out_graph();
	if (OUTPUT!=stdout && OUTPUT!=NULL) (void)fclose(OUTPUT);
	return(0);
}
/* main.c */
