/* prune.c
 * last revised at 1, Feb. 1994
 *
 * Copyright (C) 1994, All rights reserved.
 * written by Gyudong Kim(chilly@eleceng.adelaide.edu.au)
 *
 */
#include "findhier.h"

extern struct branch *trees;

void prune(offs)
struct branch *offs;
{
	struct branch *tmp,*prev;

	prev = trees;
	for(tmp=trees;tmp!=NULL;) {
		if (tmp->name == offs->name) {
			if (tmp == trees) {
				trees = tmp->next;
				prev = trees;
				myfree(tmp);
				tmp = prev;
	  		} else {
				prev->next = tmp->next;
				myfree(tmp);
				tmp = prev->next;
			}
			return;
		} else {
			prev = tmp;
			tmp = tmp->next;
		}
	}
}
/* prune.c */
